<?php
/**
*
* @package {PACKAGENAME}
* @version $Id: $
* @copyright (c) 2007 phpBB Group
* @copyright (c) phpbbmods.it
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
if (!defined('IN_PHPBB'))
{
   exit;
}
//Inizio Welcome_fusion-mod By Tiger
// BEGIN Welcome Mod By Stoker
//--Welcome_Mod--get the hour number-->
$date = $user->format_date(time(), 'H');

if ($user->data['is_registered'])
{
    $u_user_name = get_username_string('full', $user->data['user_id'], $user->data['username'], $user->data['user_colour']);
}
else
{
    $u_user_name = $user->lang['WELCOME_GUEST'];
}   

switch (true)
{
        case ($date < 1):
            // if the hour is 11am-12am (18-23)
            $s_welcome = sprintf($user->lang['GOOD_NIGHT'], $u_user_name);;
        break;
      
      	case ($date < 4):
            // if the hour is 1-3 am
            $s_welcome = sprintf($user->lang['UP_LATE'], $u_user_name);
        break;
       
        case ($date < 8):
            // if the hour is 4-7 am
            $s_welcome = sprintf($user->lang['UP_EARLY'], $u_user_name);
        break;
       
        case ($date < 12):
            // if the hour is 8-11 am
            $s_welcome = sprintf($user->lang['GOOD_MORNING'], $u_user_name);
        break;
       
        case ($date < 18):
            // if the hour is 12-5pm
            $s_welcome = sprintf($user->lang['GOOD_AFTERNOON'], $u_user_name);
        break;
       
        case ($date < 24):
            // if the hour is 6pm-11pm
            $s_welcome = sprintf($user->lang['GOOD_EVENING'], $u_user_name);;
        break;
} 

// how long a member for
$member_for = '';
if ($user->data['is_registered'] && !$user->data['is_bot'])
{
    $member_length = time() - $user->data['user_regdate'];
    $years = $months = $days = 0;
    $member_for = '';
    if ($member_length)
    {   
        if ($member_length >= 31536000)
        {
            $years = floor($member_length / 31536000);
            $member_length = $member_length - ($years * 31536000);
            $member_for .= $years > 1 ? ($years . '&nbsp;' . $user->lang['WELCOME_YEARS'] . ', ') : ($years . '&nbsp;' . $user->lang['WELCOME_YEAR'] . ', ');
        }
        $months = floor($member_length / 2628000);
        if ($months)
        {
            $months = $months > 1 ? ($months . '&nbsp;' . $user->lang['WELCOME_MONTHS'] . ', ') : ($months . '&nbsp;' . $user->lang['WELCOME_MONTHS'] . ', ');
            $member_length = $member_length - ($months * 2628000);
            $member_for .= $months;
        }
        $days = floor($member_length / 86400);
        if ($days)
        {
            $days = $days > 1 ? ($days . '&nbsp;' . $user->lang['WELCOME_DAYS']) : ($days . '&nbsp;' . $user->lang['WELCOME_DAY']);
            $member_for .= $days;
        }       
    }
}
//END Welcome Mod By Stoker
//Avatar Fusion Welcome Mod controll - Sir Xiradorn
   $avatar_width_new = $user->data['user_avatar_width'];
   $avatar_height_new = $user->data['user_avatar_height'];
   
   if ($avatar_width_new > 125 || $avatar_height_new > 125)
   {
      if ($avatar_width_new > $avatar_height_new)
      {
         $avatar_height_new = (($avatar_height_new * 125) / $avatar_width_new);
         $avatar_width_new = 125;
      }
      else
      {
         $avatar_width_new = (($avatar_width_new * 125) / $avatar_height_new);
         $avatar_height_new = 125;
      }
   }
//Avatar Fusion Welcome Mod controll - Sir Xiradorn 
// INIZIO - Topic pi Visto By Micogian
            $sql = "SELECT topic_id, forum_id, topic_title, topic_views FROM " . TOPICS_TABLE . " ORDER BY topic_views DESC LIMIT 0,5";
            $result = $db->sql_query($sql);

            while ($row = $db->sql_fetchrow($result))
            {
               if ($auth->acl_get('f_read', $row['forum_id']) == 1) {
                  $template->assign_block_vars('topicvisto', array(
                     'LINK'    => append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=" . $row['forum_id'] . "&amp;t=" . $row['topic_id']),
                     'TITOLO'    => $row['topic_title'],
                     'VIEWS'    => $row['topic_views'])
                  );
               }
            }
            $db->sql_freeresult($result);
// FINE
           
// INIZIO - Ultimi Topic -- by Sir Xiradorn           
           $sql_lasttopic = "SELECT topic_id, forum_id, topic_title, topic_time, topic_moved_id FROM ".TOPICS_TABLE."
           WHERE topic_moved_id = 0
           ORDER BY topic_time
           DESC LIMIT 0,15";
            $risultato_lasttopic = $db->sql_query($sql_lasttopic);
           
           
           $ltcount = 0;
            while ($row_lasttopic = $db->sql_fetchrow($risultato_lasttopic))
            {
              $time_lasttopic = $user->format_date($row_lasttopic['topic_time']);
             
              if ($ltcount < 5) {
                 if ($auth->acl_get('f_read', $row_lasttopic['forum_id']) == 1) {
                    $template->assign_block_vars('lasttopic', array(
                       'LASTTOPIC_LINK'      => append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=" . $row_lasttopic['forum_id'] . "&amp;t=" . $row_lasttopic['topic_id']),
                       'LASTTOPIC_TITOLO'         => $row_lasttopic['topic_title'],
                       'LASTTOPIC_TIME'         => $time_lasttopic,
                    ));
                 }
                 $ltcount = $ltcount + 1;
              }
           }   
            $db->sql_freeresult($risultato_lasttopic);
           
// FINE           
           
// INIZIO - Top Posters -- by Sir Xiradorn           
           $sql_topposter = "SELECT user_id, username, user_posts, user_colour FROM ".USERS_TABLE." WHERE group_id != 6 AND group_id != 1 ORDER BY user_posts DESC LIMIT 0,10";
            $risultato_topposter = $db->sql_query($sql_topposter);

            while ($row_topposter = $db->sql_fetchrow($risultato_topposter))
            {
               $template->assign_block_vars('topposter', array(
               'TOPPOSTER'      => get_username_string('full', $row_topposter['user_id'], $row_topposter['username'], $row_topposter['user_colour']),
               'TOPPOSTER_NUM'      => $row_topposter['user_posts'],
               ));
            }
            $db->sql_freeresult($risultato_topposter);
// FINE            
           
// INIZIO - Last Sign Members List -- by Sir Xiradorn           
           $sql_lastusersign = "SELECT user_id, username, user_regdate, user_colour FROM ".USERS_TABLE." ORDER BY user_regdate DESC LIMIT 0,10";
            $risultato_lastusersign = $db->sql_query($sql_lastusersign);

            while ($row_lastusersign = $db->sql_fetchrow($risultato_lastusersign))
            {
               $template->assign_block_vars('lastusersign', array(
               'LASTUSERSING'      => get_username_string('full', $row_lastusersign['user_id'], $row_lastusersign['username'], $row_lastusersign['user_colour']),
               ));
            }
            $db->sql_freeresult($risultato_lastusersign);
// FINE
// INIZIO - Ultimi Topic Utente -- by Sir Xiradorn
           $sql_lastusertopic = 'SELECT topic_id, forum_id, topic_title, topic_time, topic_moved_id FROM '.TOPICS_TABLE.'
           WHERE topic_moved_id = 0 AND topic_poster = '.$user->data['user_id'].'
           ORDER BY topic_time
           DESC LIMIT 0,50';
            $risultato_lastusertopic = $db->sql_query($sql_lastusertopic);
           
           $ltucount = 0;
            while ($row_lastusertopic = $db->sql_fetchrow($risultato_lastusertopic))
            {
              $time_lastusertopic = $user->format_date($row_lastusertopic['topic_time']);
             
              if ($ltucount < 5) {
                 if ($auth->acl_get('f_read', $row_lastusertopic['forum_id']) == 1) {
                    $template->assign_block_vars('lastusertopic', array(
                       'LASTUSERTOPIC_LINK'      => append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=" . $row_lastusertopic['forum_id'] . "&amp;t=" . $row_lastusertopic['topic_id']),
                       'LASTUSERTOPIC_TITOLO'         => $row_lastusertopic['topic_title'],
                       'LASTUSERTOPIC_TIME'          => $time_lastusertopic,
                    ));
                 }
                 $ltucount = $ltucount + 1;
              }
           }   
            $db->sql_freeresult($risultato_lastusertopic);
// FINE
// Fine Welcome Fusion-mod By Tiger
?>